Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 82678

Summary: USB mouse and touchpad cause keyboard to lock up
Product: [Retired] Red Hat Linux Reporter: L.L. <lfl77>
Component: kernelAssignee: Arjan van de Ven <arjanv>
Status: CLOSED WONTFIX QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0CC: zaitcev
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-09-30 15:40:27 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
Workaround none

Description L.L. 2003-01-24 20:40:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020913

Description of problem:

If a USB mouse is installed, touching the touchpad
causes the keyboard to lock up hard (it can only function
again if you reboot the computer).  The USB mouse continues
to work fine.  The touchpad never moves the cursor.

I am running Psyche on a Dell Inspiron 5000 with a Celeron 500 MHz
and 128 MB ram.

This is probably related to Bug 70696 for RH 7.3.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot with USB mouse plugged in
2.Touch the built in touchpad
3.Observe that the keyboard is frozen.
    

Actual Results:  
The keyboard is frozen.

Expected Results:  
The keyboard should have continued to function.
Also, when I had entries for "/dev/mouse" and "/dev/input/mice"
side by side in XF86Config, the touchpad and USB mouse should 
both have been functional.  This worked under RH 7.0.

Additional info:


When I boot with a USB mouse plugged in and it's autodetected,
the USB mouse works fine.  However, the second anything touches 
the built-in touchpad, the keyboard locks up, whether or not X is running. 
Under X, the USB mouse continues to work perfectly, but 
the keyboard no longer functions even after one exits X and returns 
to the console.  Only rebooting seems to restore the keyboard function.
   I edited XF86Config, unplugged the external mouse and rebooted.  On the
reboot, I changed the mouse configuration to "generic 2-button mouse".  The
touchpad then worked fine (obviously the external mouse did not) and the
keyboard did not lock up.  I then tried switching back to the USB mouse with the
built in redhat mouse config tool but that led back to the original problem.
   I tried the kernel that shipped with Psyche as well as the -19.8.0 updated
version, and they both behaved the same way.
   I have not tried using a PS/2 external mouse instead.  I'll email 
again once I do.

Hope this is helpful.

Comment 1 Pete Zaitcev 2003-01-24 22:02:43 UTC
Well known bug, unfortunately upstream is indiffirent, because the problem
is in Dell BIOS. I have a workaround for this, which removes the workaround
for Dell C600 and creates a generic case for C600 and I5000.


Comment 2 Pete Zaitcev 2003-01-24 22:05:30 UTC
Created attachment 89592 [details]
Workaround

Comment 3 Pete Zaitcev 2003-01-24 22:07:39 UTC
Do not dup onto 70796, that one has no data.
There was another one though, I'll try to find it.


Comment 4 Pete Zaitcev 2003-01-27 21:56:27 UTC
L.L, would you mind to attach the output of dmidecode?
Please do not drop it into the comments box.
I'm not sure we'll need it, but let's have it just in case.
The dmidecode is a part of kernel-utils RPM.


Comment 5 Pete Zaitcev 2003-02-27 05:04:34 UTC
*** Bug 82690 has been marked as a duplicate of this bug. ***

Comment 6 Pete Zaitcev 2003-02-27 05:11:16 UTC
User mode workaround exits. Make sure that the X11 is configured to open
both /dev/psaux and /dev/input/mice, instead of switching back and forth
with mouseconfig. Verify it with looking at /proc/interrupts, the IRQ 12
must be in use.

Sample XF86Config fragment:

Section "ServerLayout"
        Identifier     "Default Layout"
        Screen      0  "Screen0" 0 0
        InputDevice    "Mouse0" "CorePointer"
        InputDevice    "Keyboard0" "CoreKeyboard"
        InputDevice    "DevInputMice" "AlwaysCore"
EndSection

Section "InputDevice"
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "PS/2"
        Option      "Device" "/dev/psaux"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "yes"
EndSection
                                                                                
Section "InputDevice"
# If the normal CorePointer mouse is not a USB mouse then
# this input device can be used in AlwaysCore mode to let you
# also use USB mice at the same time.
        Identifier  "DevInputMice"
        Driver      "mouse"
        Option      "Protocol" "IMPS/2"
        Option      "Device" "/dev/input/mice"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "no"
EndSection


Comment 7 Bugzilla owner 2004-09-30 15:40:27 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/